com.holonplatform.vaadin.flow.components.builders

## Interface NumberInputBuilder<T extends Number>

- All Superinterfaces:
    ComponentConfigurator<NumberInputBuilder<T>>, CompositionNotifierConfigurator<NumberInputBuilder<T>>, DeferrableLocalizationConfigurator<NumberInputBuilder<T>>, FocusableConfigurator<com.vaadin.flow.component.Component,NumberInputBuilder<T>>, HasAutocompleteConfigurator<NumberInputBuilder<T>>, HasAutofocusConfigurator<NumberInputBuilder<T>>, HasDeferrableLocalization, HasElementConfigurator<NumberInputBuilder<T>>, HasEnabledConfigurator<NumberInputBuilder<T>>, HasLabelConfigurator<NumberInputBuilder<T>>, HasPatternConfigurator<NumberInputBuilder<T>>, HasPlaceholderConfigurator<NumberInputBuilder<T>>, HasPrefixAndSuffixConfigurator<NumberInputBuilder<T>>, HasSizeConfigurator<NumberInputBuilder<T>>, HasStyleConfigurator<NumberInputBuilder<T>>, HasThemeVariantConfigurator<com.vaadin.flow.component.textfield.TextFieldVariant,NumberInputBuilder<T>>, HasTitleConfigurator<NumberInputBuilder<T>>, HasValueChangeModeConfigurator<NumberInputBuilder<T>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,Input<T>,NumberInputBuilder<T>>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,NumberInputBuilder<T>>, InputNotifierConfigurator<NumberInputBuilder<T>>, InputValueConfigurator<T,ValueHolder.ValueChangeEvent<T>,NumberInputBuilder<T>>, KeyNotifierConfigurator<NumberInputBuilder<T>>

      public interface NumberInputBuilder<T extends Number>
      extends InputBuilder<T,ValueHolder.ValueChangeEvent<T>,Input<T>,NumberInputBuilder<T>>, InputValueConfigurator<T,ValueHolder.ValueChangeEvent<T>,NumberInputBuilder<T>>, HasEnabledConfigurator<NumberInputBuilder<T>>, InputNotifierConfigurator<NumberInputBuilder<T>>, KeyNotifierConfigurator<NumberInputBuilder<T>>, HasValueChangeModeConfigurator<NumberInputBuilder<T>>, HasAutocompleteConfigurator<NumberInputBuilder<T>>, HasSizeConfigurator<NumberInputBuilder<T>>, HasStyleConfigurator<NumberInputBuilder<T>>, HasAutofocusConfigurator<NumberInputBuilder<T>>, FocusableConfigurator<com.vaadin.flow.component.Component,NumberInputBuilder<T>>, HasPrefixAndSuffixConfigurator<NumberInputBuilder<T>>, CompositionNotifierConfigurator<NumberInputBuilder<T>>, HasPlaceholderConfigurator<NumberInputBuilder<T>>, HasLabelConfigurator<NumberInputBuilder<T>>, HasTitleConfigurator<NumberInputBuilder<T>>, HasPatternConfigurator<NumberInputBuilder<T>>, HasThemeVariantConfigurator<com.vaadin.flow.component.textfield.TextFieldVariant,NumberInputBuilder<T>>, DeferrableLocalizationConfigurator<NumberInputBuilder<T>>

  Builder to create `Number` type `Input` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `NumberInputBuilder<T>` | `allowNegative(boolean allowNegative)` Sets whether to allow negative numbers.
    `static <T extends Number> NumberInputBuilder<T>` | `create(Class<T> numberType)` Get a new `NumberInputBuilder` to create a numeric type `Input`.
    `NumberInputBuilder<T>` | `locale(Locale locale)` Set the `Locale` to use to represent and convert number values.
    `NumberInputBuilder<T>` | `maxDecimals(int maxDecimals)` Sets the maximum number of digits allowed in the fraction portion of a number.
    `NumberInputBuilder<T>` | `minDecimals(int minDecimals)` Sets the minimum number of digits allowed in the fraction portion of a number.
    `NumberInputBuilder<T>` | `numberFormat(NumberFormat numberFormat)` Sets the `NumberFormat` to use to represent and convert number values.
    `NumberInputBuilder<T>` | `numberFormatPattern(String numberFormatPattern)` Sets the number format pattern to use to represent and convert number values.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputNotifierConfigurator

      `withInputListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.KeyNotifierConfigurator

      `withKeyDownListener, withKeyDownListener, withKeyPressListener, withKeyPressListener, withKeyUpListener, withKeyUpListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasValueChangeModeConfigurator

      `valueChangeMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocompleteConfigurator

      `autocomplete`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPrefixAndSuffixConfigurator

      `prefixComponent, suffixComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.CompositionNotifierConfigurator

      `withCompositionEndListener, withCompositionStartListener, withCompositionUpdateListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPatternConfigurator

      `pattern, preventInvalidInput, preventInvalidInput`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### locale

          NumberInputBuilder<T> locale(Locale locale)

      Set the `Locale` to use to represent and convert number values.

      The provided `Locale` will be always used to obtain the `NumberFormat` to represent and convert the values, regardless of the current `Locale`.

      Parameters:
        `locale` - the `Locale` to set
      Returns:
        this

    - #### numberFormat

          NumberInputBuilder<T> numberFormat(NumberFormat numberFormat)

      Sets the `NumberFormat` to use to represent and convert number values.

      The provided `NumberFormat` will be always used, regardless of the current `Locale` or the `Locale` configured through `locale(Locale)`.

      Parameters:
        `numberFormat` - the `NumberFormat` to set
      Returns:
        this

    - #### numberFormatPattern

          NumberInputBuilder<T> numberFormatPattern(String numberFormatPattern)

      Sets the number format pattern to use to represent and convert number values.

      The pattern style must be consistent with the `DecimalFormat` pattern conventions.

      The grouping and decimals separator symbols used will be obtained from the current `Locale` o from the `Locale` configured through `locale(Locale)`.

      Parameters:
        `numberFormatPattern` - the number format pattern to set
      Returns:
        this

    - #### allowNegative

          NumberInputBuilder<T> allowNegative(boolean allowNegative)

      Sets whether to allow negative numbers.

      Default is `true`.

      Parameters:
        `allowNegative` - `true` to allow negative numbers, `false` otherwise
      Returns:
        this

    - #### minDecimals

          NumberInputBuilder<T> minDecimals(int minDecimals)

      Sets the minimum number of digits allowed in the fraction portion of a number.
      Parameters:
        `minDecimals` - the minimum decimal digits, `-1` for no limit
      Returns:
        this

    - #### maxDecimals

          NumberInputBuilder<T> maxDecimals(int maxDecimals)

      Sets the maximum number of digits allowed in the fraction portion of a number.
      Parameters:
        `maxDecimals` - the maximum decimal digits, `-1` for no limit
      Returns:
        this

    - #### create

          static <T extends Number> NumberInputBuilder<T> create(Class<T> numberType)

      Get a new `NumberInputBuilder` to create a numeric type `Input`.
      Type Parameters:
        `T` - Number type
      Parameters:
        `numberType` - Number class (not null)
      Returns:
        A new `NumberInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.